Subject: Re: case sensitivity and filenames
From: "Max Bowsher" <[email-masked]>
To: "Lester Ingber" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 15 May 2003 17:39:45 +0100

Lester Ingber wrote:
> Larry:
>
> Thanks for your detailed explanation.
>
> You state:
>>                                     (FYI, the Win32 API will allow the
>> creation of 2 *files* in the same directory with the same name that
differs
>> only by case on *NTFS* partitions).
>
> However, I am working on an NTFS partition
...
> In my /etc/profile I have
> export CYGWIN="check_case:strict"
> I cannot create two files that differ only in case?
> 12:13:04 @lester:~% touch tp
> 12:13:08 @lester:~% touch Tp
> touch: creating `Tp': No such file or directory
> 12:13:11 @lester:~% ls
> tp

The API will allow it. That doesn't mean the tools will. In fact, the API
requires special flags to be passed. It is also rather deficient in ways to
manipulate such files.

Even if you were to create such files, they are cause problems with common
Windows tools.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/